#pragma once

#include <cstddef>
#include <string>

#include "Util.hpp"
#include "MpiEnvironment.hpp"

struct Configuration {
	Size Grid{};
	std::string InputFilePath;
	std::string OutputFilePath;
	std::size_t Generations;

	static auto parseArgs(int argc, char* argv[], const MpiEnvironment& env)
	    -> Configuration;
};
